View Issue Details

IDProjectCategoryView StatusLast Update
0011548mantisbtreportspublic2011-08-05 02:12
ReporterllattanAssigned Todhx 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Platformx86_64OSRedHat EnterpriseOS Version5.2
Product Version1.2.0 
Target VersionFixed in Version 
Summary0011548: Mantis Graphs 1.0 unable to read/find font
Description

I upgraded Mantis to 1.2.0
After I installed "Mantis Graphs 1.0" plugin, when I want to see graphs, I get:

unable to read/find font

When I had mantis 1.0.7 in the same machine, I could see graphs without problems.

OS: RHEL 5.2 x86_64
Apache: 2.2.3
MySQL: Ver 14.12 Distrib 5.0.45
jgraph: 2.3.3

TagsNo tags attached.

Relationships

has duplicate 0019398 closeddregad Summary graph does not working (unable to read/find font) 
related to 0011741 closeddhx Mantis Graphs 1.0 unable to read/find font 

Activities

dhx

dhx

2010-02-24 22:40

reporter   ~0024500

Make sure you have a corefonts/Microsoft web fonts package installed.

Can you try using the ezC graph implementation (see the MantisGraph plugin configuration options) to see if that method also fails to find valid fonts?

llattan

llattan

2010-02-26 13:41

reporter   ~0024547

I adjusted MantisGraph config to use jpgraph and
I linked /var/www/html/library/jpgraph -> /usr/local/jpgraph/src
(jpgraph-2.3.3)

Then, I installed msttcorefonts-2.0-1.noarch.rpm and
I linked /usr/share/fonts/truetype -> /usr/X11R6/lib/X11/fonts/truetype

and everything worked fine.

Please close the issue.

dhx

dhx

2010-02-26 20:00

reporter   ~0024554

Thanks for getting back to me. It's good to hear that you got it working again.

yw84ever

yw84ever

2010-04-07 12:44

reporter   ~0025054

also had this issue, graphs worked after installing the package

ttf-mscorefonts-installer

on ubuntu server 9.10

hablutzel1

hablutzel1

2010-05-31 16:03

reporter   ~0025637

I installed msttcorefonts-2.0-1.noarch.rpm, instructions here:

http://corefonts.sourceforge.net/

and made

ln -s /usr/share/fonts/msttcorefonts /usr/share/fonts/truetype

Now it is working

dregad

dregad

2010-07-26 10:45

developer   ~0026131

The same workaround with the symbolic link worked for me as well (running Mantis on SuSE (SLES 10).

Many thanks hablutzel1 !

Issue History

Date Modified Username Field Change
2010-02-24 16:30 llattan New Issue
2010-02-24 22:40 dhx Note Added: 0024500
2010-02-24 22:40 dhx Status new => feedback
2010-02-26 13:41 llattan Note Added: 0024547
2010-02-26 13:41 llattan Status feedback => new
2010-02-26 20:00 dhx Note Added: 0024554
2010-02-26 20:00 dhx Status new => resolved
2010-02-26 20:00 dhx Resolution open => no change required
2010-02-26 20:00 dhx Assigned To => dhx
2010-04-04 05:57 dhx Relationship added related to 0011741
2010-04-07 12:44 yw84ever Note Added: 0025054
2010-05-31 16:03 hablutzel1 Note Added: 0025637
2010-05-31 16:04 hablutzel1 Sponsorship Added hablutzel1: US$ 10
2010-05-31 16:04 hablutzel1 Sponsorship Total 0 => 10
2010-07-26 10:45 dregad Note Added: 0026131
2011-08-05 02:12 atrol Status resolved => closed
2014-11-25 11:04 vboctor Category graphs => reports
2015-02-25 02:48 dregad Relationship added has duplicate 0019398